--- net/synapse/pkg/PLIST
+++ net/synapse/pkg/PLIST
@@ -1393,6 +1422,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/util/
 ${MODPY_COMMENT}lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}/
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}__init__.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}async_helpers.${MODPY_PYC_MAGIC_TAG}pyc
+lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}batching_queue.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}daemonize.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}distributor.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}file_consumer.${MODPY_PYC_MAGIC_TAG}pyc
@@ -1401,6 +1431,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/util/
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}httpresourcetree.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}iterutils.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}jsonobject.${MODPY_PYC_MAGIC_TAG}pyc
+lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}linked_list.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}logcontext.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}logformatter.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}macaroons.${MODPY_PYC_MAGIC_TAG}pyc
@@ -1418,6 +1449,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/util/
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}versionstring.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/util/${MODPY_PYCACHE}wheel_timer.${MODPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/synapse/util/async_helpers.py
+lib/python${MODPY_VERSION}/site-packages/synapse/util/batching_queue.py
 lib/python${MODPY_VERSION}/site-packages/synapse/util/caches/
 lib/python${MODPY_VERSION}/site-packages/synapse/util/caches/__init__.py
 ${MODPY_COMMENT}lib/python${MODPY_VERSION}/site-packages/synapse/util/caches/${MODPY_PYCACHE}/
@@ -1450,6 +1482,7 @@ lib/python${MODPY_VERSION}/site-packages/synapse/util/
 lib/python${MODPY_VERSION}/site-packages/synapse/util/httpresourcetree.py
 lib/python${MODPY_VERSION}/site-packages/synapse/util/iterutils.py
 lib/python${MODPY_VERSION}/site-packages/synapse/util/jsonobject.py
+lib/python${MODPY_VERSION}/site-packages/synapse/util/linked_list.py
 lib/python${MODPY_VERSION}/site-packages/synapse/util/logcontext.py
 lib/python${MODPY_VERSION}/site-packages/synapse/util/logformatter.py
 lib/python${MODPY_VERSION}/site-packages/synapse/util/macaroons.py
@@ -1493,6 +1526,7 @@ share/synapse/hash_password
 share/synapse/move_remote_media_to_new_store.py
 share/synapse/register_new_matrix_user
 share/synapse/synapse_port_db
+share/synapse/synapse_review_recent_signups
 share/synapse/sync_room_to_group.pl
 share/synapse/synctl
 @mode 750
blob - 62db1434df6bc3e7d4d7bbb135e29035cf51957f
file + net/synapse/pkg/synapse.rc
--- net/synapse/pkg/synapse.rc
+++ net/synapse/pkg/synapse.rc
@@ -8,7 +8,7 @@ daemon_flags="${LOCALSTATEDIR}/synapse/homeserver.yaml
 
 . /etc/rc.d/rc.subr
 
-pexp="${MODPY_BIN} -m synapse.app.homeserver --daemonize -c ${daemon_flags}"
+pexp="${MODPY_BIN} -m synapse.app.homeserver -c ${daemon_flags} --daemonize"
 
 rc_start() {
 	${rcexec} "${daemon} start ${daemon_flags}"
